---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    service: checkd
    team: {{team | lower}}
    perspective: {{perspective}}
    checkgroup: {{check_group | lower | replace('_', '-')}}
    type: {{check_type | lower}}
  name: {{perspective}}-{{check_type | lower}}-{{team | lower}}-{{check_group | lower}}-checkd
  namespace: scoring
spec:
  replicas: 0
  selector:
    matchLabels:
      service: checkd
      team: {{team | lower}}
      perspective: {{perspective}}
      checkgroup: {{check_group | lower | replace('_', '-')}}
      type: {{check_type | lower}}
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      annotations:
        k8s.v1.cni.cncf.io/networks: default/attachnet
        ovn.kubernetes.io/logical_switch: {{primary_subnet}}
        attachnet.default.ovn.kubernetes.io/logical_switch: {{secondary_subnet}}
      labels:
        service: checkd
        team: {{team | lower}}
        perspective: {{perspective}}
        checkgroup: {{check_group | lower | replace('_', '-')}}
        type: {{check_type | lower}}
    spec:
      containers:
        - env:
            - name: CHECK_DAEMON_CHECK_TEAMS
              value: {{team}}
            - name: CHECK_DAEMON_CHECK_CHECKS
              value: {{check}}
            {%- if check_group == "mal-users" %}
            - name: CHECK_DAEMON_CHECK_TIMEOUT
              value: "40s"
            {%- endif %}
            {%- if check_type == "inject" %}
            - name: CHECK_DAEMON_CHECK_INTERVAL
              value: "15m"
            - name: CHECK_DAEMON_CHECK_TIMEOUT
              value: "14m30s"
            {%- endif %}
          envFrom:
            - secretRef:
                name: check-daemon-secret
            - configMapRef:
                name: check-daemon-config
          image: {{image}}
          imagePullPolicy: Always
          name: container
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        {%- if perspective == "internal" and check_type == "service" %}
        - name: sidecar
          envFrom:
            - configMapRef:
                name: check-daemon-sidecar-config
          image: {{sidecar_image}}
          imagePullPolicy: Always
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        {%- endif %}
      dnsConfig:
        nameservers:
          - 1.1.1.1
          - 172.18.0.12
        searches:
          - ncaecybergames.org
        options:
          - name: ndots
            value: "1"
      dnsPolicy: ClusterFirst
      {% if pull_secret -%}
      imagePullSecrets:
        - name: {{ pull_secret }}
      {% endif -%}
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: self-destruct
      serviceAccountName: self-destruct
      terminationGracePeriodSeconds: 30
...
